> ## Documentation Index
> Fetch the complete documentation index at: https://chargecloud.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves stations

> Retrieves stations. Required permission: assets:station:list



## OpenAPI

````yaml /api/core-api/crmiapi.json get /api/v1/assets/stations
openapi: 3.1.1
info:
  title: chargecloud - Core API
  summary: chargecloud Core API. All around CRM, Asset Management and more.
  version: 1.113.1
  description: chargecloud Core API. All around CRM, Asset Management and more.
servers:
  - url: https://api.chargecloud.dev
    description: Production - chargecloud Core API
  - url: https://demo.chargecloud.de
    description: Sandbox/Dev - chargecloud Core API
security: []
paths:
  /api/v1/assets/stations:
    get:
      tags:
        - Stations
      summary: Retrieves stations
      description: 'Retrieves stations. Required permission: assets:station:list'
      operationId: /api/v1/assets/stations_GET
      parameters:
        - name: controller_id
          in: query
          description: ID of the controller
          schema:
            type: integer
            format: int32
            description: ID of the controller
        - name: location_id
          in: query
          description: ID of the location
          schema:
            type: integer
            format: int32
            description: ID of the location
        - name: limit
          in: query
          description: Maximum number of items per page. Maximum value is 25.
          schema:
            type: integer
            format: int64
            minimum: 1
            maximum: 25
            description: Maximum number of items per page. Maximum value is 25.
            example: '10'
        - name: page
          in: query
          description: Page number to retrieve (starting from 1).
          schema:
            type: integer
            format: int64
            minimum: 1
            description: Page number to retrieve (starting from 1).
            example: '1'
      responses:
        '200':
          description: Station collection
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - stations
                properties:
                  stations:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          format: int32
                          description: Station id
                        created_at:
                          type: string
                          format: date
                          pattern: ^\d{4}-\d{2}-\d{2}$
                          description: Date of creation
                        updated_at:
                          type: string
                          format: date
                          pattern: ^\d{4}-\d{2}-\d{2}$
                          description: Date of updating
                        modification_date:
                          type: string
                          format: date
                          pattern: ^\d{4}-\d{2}-\d{2}$
                          description: Date of modification
                        chargepoints:
                          type: array
                          items:
                            type: object
                            properties:
                              chargepoint_evse_id:
                                type: string
                                description: Chargepoint evse id
                            required:
                              - chargepoint_evse_id
                          description: List of evseIds of the chargepoint
                        location_id:
                          type: integer
                          format: int32
                          minimum: 0
                          description: Id of the location
                        controller_id:
                          type: integer
                          format: int32
                          description: Id of the Controller
                        export:
                          type: boolean
                          default: true
                          description: Export
                        evse:
                          type: string
                          maxLength: 50
                          description: Evses of the chargepoints
                        charging_technology:
                          type: string
                          enum:
                            - inductive
                            - conductive
                          description: Charging Technology
                        position:
                          type: string
                          maxLength: 100
                          description: Position
                        vehicle_type:
                          type: string
                          enum:
                            - ruralenergy
                            - omnibus
                            - four_wheeled
                            - two_wheeled
                          description: Vehicle Type
                        status:
                          type: string
                          enum:
                            - in_planning
                            - under_construction
                            - factory_acceptance_test
                            - demo
                            - active
                            - defect
                            - out_of_order
                            - removed
                            - undefined
                          description: Status
                        start_date:
                          type: string
                          format: date
                          pattern: ^\d{4}-\d{2}-\d{2}$
                          description: Date of start
                        target_date:
                          type: string
                          format: date
                          pattern: ^\d{4}-\d{2}-\d{2}$
                          description: Date of target
                        active_date:
                          type: string
                          format: date
                          pattern: ^\d{4}-\d{2}-\d{2}$
                          description: Date of activation
                        out_of_order_date:
                          type: string
                          format: date
                          pattern: ^\d{4}-\d{2}-\d{2}$
                          description: Out of order date
                        ip_protection_type:
                          type: string
                          maxLength: 5
                          description: IP protection type
                        particularities:
                          type: string
                          maxLength: 64
                          description: Particularities
                        manufacturer:
                          type: string
                          maxLength: 100
                          description: Manufacturer
                        model:
                          type: string
                          maxLength: 100
                          description: Model
                        green_power:
                          type: boolean
                          default: false
                          description: Green Power
                        vehicle_communication_type_id:
                          type: integer
                          format: int32
                          description: Id of the vehicle communication type
                        serial_number:
                          type: integer
                          format: int32
                          description: Serial number
                        mounting_type:
                          type: string
                          enum:
                            - ''
                            - free_standing
                            - wall
                          description: Mounting type
                        sticker:
                          type: string
                          maxLength: 100
                          description: Sticker
                        color:
                          type: string
                          maxLength: 50
                          description: Color
                        automatic_rebootable_rccb:
                          type: boolean
                          default: false
                          description: Automatic rebootable RCCB
                        house_connection_box:
                          type: boolean
                          default: false
                          description: House connection box
                        connection_cable:
                          type: string
                          maxLength: 100
                          description: Connection cable
                        closing:
                          type: string
                          maxLength: 200
                          description: Closing
                        building_level:
                          type: string
                          maxLength: 20
                          description: Building level
                        parking_fees:
                          type: string
                          maxLength: 200
                          description: Parking fees
                        crash_protection:
                          type: boolean
                          default: false
                          description: Crash protection
                        mark:
                          type: string
                          maxLength: 200
                          description: Mark
                        comment:
                          type: string
                          maxLength: 500
                          description: Comment
                        ceiling_height:
                          type: number
                          format: float
                          description: Ceiling height
                        investment_manager:
                          type: string
                          maxLength: 64
                          description: Investment manager
                        project:
                          type: string
                          maxLength: 64
                          description: Project
                        order_number:
                          type: string
                          maxLength: 64
                          description: Order Number
                        notification_number:
                          type: string
                          maxLength: 64
                          description: Notification number
                        internal_comment:
                          type: string
                          maxLength: 500
                          description: Internal comment
                        upstream_supply_network:
                          type: string
                          maxLength: 32
                          description: Upstream supply network
                        protective_switch_devices:
                          type: string
                          maxLength: 64
                          description: Protective switch devices
                        full_safeguarding:
                          type: number
                          format: float
                          description: Full safeguarding in ampere
                        open_24_7:
                          type: boolean
                          default: false
                          description: open 24-7
                        block_reservation:
                          type: boolean
                          default: false
                          description: Block reservation
                        article_number:
                          type: string
                          maxLength: 16
                          description: Article number
                        conform_with_calibration_law:
                          type: boolean
                          default: false
                          description: Conform with calibration law
                        has_payment_terminal:
                          type: boolean
                          default: false
                          description: Has payment terminal
                        iso_instance:
                          type: string
                          maxLength: 64
                          description: ISO Instance
                        calibration_law_deadline:
                          type: string
                          format: date
                          pattern: ^\d{4}-\d{2}-\d{2}$
                          description: Calibration law deadline
                      required:
                        - id
                        - created_at
                        - updated_at
                        - modification_date
                        - chargepoints
                        - location_id
                      description: Station
                    description: Stations
                  pagination:
                    type: object
                    properties:
                      page:
                        type: integer
                        format: int64
                        description: Current page number (starting from 1).
                        example: '1'
                      total_pages:
                        type: integer
                        format: int64
                        description: Total number of available pages.
                        example: '5'
                      page_size:
                        type: integer
                        format: int64
                        description: Number of items returned per page.
                        example: '10'
                      has_more:
                        type: boolean
                        default: true
                        description: >-
                          Indicates whether more pages are available after the
                          current page.
                        example: 'true'
                    description: Pagination
        '401':
          description: Unauthorized
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '404':
          description: Not found
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
                  pagination:
                    type: object
                    properties:
                      page:
                        type: integer
                        format: int64
                        description: Current page number (starting from 1).
                        example: '1'
                      total_pages:
                        type: integer
                        format: int64
                        description: Total number of available pages.
                        example: '5'
                      page_size:
                        type: integer
                        format: int64
                        description: Number of items returned per page.
                        example: '10'
                      has_more:
                        type: boolean
                        default: true
                        description: >-
                          Indicates whether more pages are available after the
                          current page.
                        example: 'true'
                    description: Pagination
        '405':
          description: Method not allowed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '422':
          description: Request validation failed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - errors
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        errorKey:
                          type: string
                          description: A key identifying the error
                        message:
                          type: string
                          description: The error message
                        parameter:
                          type: string
                          description: The parameter that caused the error, if any
                      required:
                        - errorKey
                        - message
                        - parameter
                      description: Error
                    description: List of errors
        '429':
          description: Too many requests
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
      security:
        - bearer:
            - asset:station
components:
  headers:
    Content-Language:
      description: The locale of the response content (BCP 47 language tag).
      schema:
        type: string
        example: en
  securitySchemes:
    bearer:
      type: http
      description: OAuth2 Bearer Authorization
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Retrieves details for a station](/api-reference/stations/retrieves-details-for-a-station.md)
- [Retrieves meters](/api-reference/meters/retrieves-meters.md)
- [Retrieves chargepoints](/api-reference/chargepoints/retrieves-chargepoints.md)
